> For the complete documentation index, see [llms.txt](https://docs.suggestic.com/telewellness-portal/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.suggestic.com/telewellness-portal/api-reference/coaches/existing-coach-teams.md).

# Existing Coach Teams

Use the `coachTeams` mutation query to list all of the available Coach Teams a coach can be assigned to.

## Available argument

| **Argument Name** | **Is required?** | **Type** |            **Description**           |
| :---------------: | :--------------: | :------: | :----------------------------------: |
|   `filters.name`  |        No        |  String  | Name of the coach team to filter by. |

## Available Fields

The following fields will be displayed in the response:

| **Field Name** |                                                  **Type**                                                 |            **Description**            |
| :------------: | :-------------------------------------------------------------------------------------------------------: | :-----------------------------------: |
|      `id`      |                                                     ID                                                    |         Id of the coach team.         |
|     `name`     |                                                   String                                                  |        Name of the coach team.        |
|  `description` |                                                   String                                                  |  Short description of the coach team. |
|    `coaches`   | \[[Coach](https://docs.suggestic.com/coaching-portal/api-references/coaches/coach-list#available-fields)] | List of coaches assigned to the team. |

## Example

{% tabs %}
{% tab title="Request" %}

```graphql
query{
  coachTeams{
    edges{
      node{
        id
        name
        description
        coaches{
          id
          name
        }
      }
    }
  }
}
```

{% endtab %}

{% tab title="Response" %}

```graphql
{
  "data": {
    "coachTeams": {
      "edges": [
        {
          "node": {
            "id": "Q29hY2UZWFtOjEwMTY=",
            "name": "External",
            "description": "",
            "coaches": []
          }
        },
        {
          "node": {
            "id": "Q29hYhUZWFtOjEwMTU=",
            "name": "Internal",
            "description": "",
            "coaches": [
              {
                "id": "Q29hY2g6TDg2NA==",
                "name": "Green"
              },
              {
                "id": "Q9hY2g6ODk5MA==",
                "name": "Blue"
              },
              {
                "id": "Q29hYg6ODg3NQ==",
                "name": "Pink"
              }
            ]
          }
        },
        {
          "node": {
            "id": "Q29hY2hUZWFtOjEMjE=",
            "name": "TEST-Team",
            "description": "For testing",
            "coaches": [
              {
                "id": "Q29hY2g6OYI4NQ==",
                "name": "Rainbow"
              }
            ]
          }
        }
      ]
    }
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.suggestic.com/telewellness-portal/api-reference/coaches/existing-coach-teams.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
